
Figure - Bug #114318
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110884 (New): AF-V1.0功能测试-手势-应用返回

【AF】【EVT】【手势交互】在应用全屏界面，连续两次五指抓，第一次返回home页面，第二次出现应用进
程卡片
2022-12-05 18:08 - CD TEST-方永红

Status: CLOSED Start date: 2022-12-05

Priority: Normal Due date: 2022-12-23

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212030304

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0060.X101

Reproducibility: Every time Fixed Version: 2022-12-19

Test Type: IT Root cause: 复用的之前recent的快速上滑回到HOME的逻辑，慢速上滑是会出现recent task的界面的。

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开一个应用

2、连续两次五指抓

【预期结果】

2、第一次返回home页面，第二次设备无响应

【实际结果】

2、第一次返回home页面，第二次出现应用进程卡片

History

#1 - 2022-12-07 11:43 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD FW 曹覃刚

■ Current conclusion

FW同事分析中

■ My analysis

五指抓手势需求为回到Launcher桌面

五指抓过程中，应用有缩放动画，参考了Recent，请看一下是否和这个动画有关系

■ Next action

请Framwork同事分析一下这个手势问题

#2 - 2022-12-08 15:04 - CD FW 曹覃刚

- Category changed from CD-APP to CD-FW

#3 - 2022-12-09 10:08 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to CD APP-王宏
#4 - 2022-12-14 17:53 - CDTS-TEST 周婷

- Due date set to 2022-12-23

- Target version set to VX1_MCE_FSE_V5.0_20221230

#5 - 2022-12-16 18:14 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

170802 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Gesture:Fix gesture recognition bug of two five finger grabsTC-RID: 0301-0205203IssueID: TS-R-BUG-114318Change-Id:

I2f0ad0e2de9469c198f386f03ad1e42c3da80b02

#6 - 2022-12-16 18:18 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- Root cause set to 复用的之前recent的快速上滑回到HOME的逻辑，慢速上滑是会出现recent task的界面的。

复用的之前recent的快速上滑回到HOME的逻辑，慢速上滑是会出现recent task的界面的。但是多指是没有这个逻辑的，所以直接把相关逻辑干掉

#7 - 2022-12-16 18:23 - CD FW 曹覃刚

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-12-19

#8 - 2022-12-21 18:17 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0060.X101

12.21

验证通过

#9 - 2022-12-21 18:17 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

1205.mp4 942 KB 2022-12-05 CD TEST-方永红
